package dev.dinauer.maven.app;

import dev.dinauer.maven.user.User;

import java.util.List;

public class ReleaseVersionDTO extends VersionDTO
{
    private final PomDTO pom;
    private final List<JarDTO> jars;
    private final User uploadedBy;

    public ReleaseVersionDTO(String id, String version, PomDTO pom, List<JarDTO> jars, User uploadedBy)
    {
        super(id, version, false);
        this.pom = pom;
        this.jars = jars;
        this.uploadedBy = uploadedBy;
    }

    public PomDTO getPom()
    {
        return pom;
    }

    public List<JarDTO> getJars()
    {
        return jars;
    }

    public User getUploadedBy()
    {
        return uploadedBy;
    }
}
